cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/passes-rates/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/passes-rates/"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/passes-rates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "plryuiyps0006msyw2pri1tem1LpJwSx",
"organizaiton_id": "ajifs2hke000dwemmurwd3kuqN3Kopcx",
"event_id": "Mjo4f9o9h01fdjvmmrgn9aoh4s5IBHzX",
"slug": "general-access",
"name": "General Access",
"options": [
{
"_id": "PrbxvjKCVsv9LjzOB4uWE5KfWGrpvxl3",
"additional_info": "Valid only for erasmus.",
"price": 10,
"content": "",
"from": 0,
"until": 27000
}
],
"beneficiaries": 1,
"updated_at": "2022-09-15T23:00:00.000Z",
"created_at": "2022-09-15T23:00:00.000Z"
}
]
}Passes
Get passes rates
Get all the rates of passes given a event.
GET
/
passes-rates
/
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Event identifier.
⌘I